Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class AbstractNumericFacetValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractNumericFacetValidator

Direct Known Subclasses:
  AbstractNumericValidator, DateTimeValidator

public abstract class AbstractNumericFacetValidator
extends AbstractDatatypeValidator

AbstractNumericFacetValidator is a base class for decimal, double, float, and all date/time datatype validators. It implements evaluation of common facets - minInclusive, maxInclusive, minExclusive, maxExclusive according to schema specs.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: AbstractNumericFacetValidator.java,v 1.5 2001/05/30 21:25:47 elena Exp $
Author:
  Elena Litani

Field Summary
`java.lang.Object[]` | `fEnumeration`
`protected java.lang.Object` | `fMaxExclusive`
`java.lang.Object` | `fMaxInclusive`
`protected java.lang.Object` | `fMinExclusive`
`java.lang.Object` | `fMinInclusive`
`protected static short` | `INDETERMINATE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`AbstractNumericFacetValidator()`
`AbstractNumericFacetValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected abstract void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkBaseFacetConstraints()`
`protected void` | `checkFacetConstraints()`
`protected abstract int` | `compareValues(java.lang.Object value1, java.lang.Object value2)`
`protected abstract java.lang.String` | `getMaxExclusive(boolean isBase)`
`protected abstract java.lang.String` | `getMaxInclusive(boolean isBase)`
`protected abstract java.lang.String` | `getMinExclusive(boolean isBase)`
`protected abstract java.lang.String` | `getMinInclusive(boolean isBase)`
`protected void` | `inheritAdditionalFacets()`
`protected void` | `initializeValues()`
`protected abstract void` | `setEnumeration(java.util.Vector enumeration)`
`protected abstract void` | `setMaxExclusive(java.lang.String value)`
`protected abstract void` | `setMaxInclusive(java.lang.String value)`
`protected abstract void` | `setMinExclusive(java.lang.String value)`
`protected abstract void` | `setMinInclusive(java.lang.String value)`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`clone, getBaseValidator, getErrorString, getWSFacet, setLocale, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fEnumeration

    public java.lang.Object[] fEnumeration

### fMaxInclusive

    public java.lang.Object fMaxInclusive

### fMaxExclusive

    protected java.lang.Object fMaxExclusive

### fMinInclusive

    public java.lang.Object fMinInclusive

### fMinExclusive

    protected java.lang.Object fMinExclusive

### INDETERMINATE

    protected static final short INDETERMINATE

Constructor Detail

### AbstractNumericFacetValidator

    public AbstractNumericFacetValidator()
                                  throws InvalidDatatypeFacetException

### AbstractNumericFacetValidator

    public AbstractNumericFacetValidator(DatatypeValidator base,
                                         java.util.Hashtable facets,
                                         boolean derivedByList)
                                  throws InvalidDatatypeFacetException

Method Detail

### compareValues

    protected abstract int compareValues(java.lang.Object value1,
                                         java.lang.Object value2)

### setMaxInclusive

    protected abstract void setMaxInclusive(java.lang.String value)

### setMinInclusive

    protected abstract void setMinInclusive(java.lang.String value)

### setMaxExclusive

    protected abstract void setMaxExclusive(java.lang.String value)

### setMinExclusive

    protected abstract void setMinExclusive(java.lang.String value)

### setEnumeration

    protected abstract void setEnumeration(java.util.Vector enumeration)
                                    throws InvalidDatatypeValueException

### getMaxInclusive

    protected abstract java.lang.String getMaxInclusive(boolean isBase)

### getMinInclusive

    protected abstract java.lang.String getMinInclusive(boolean isBase)

### getMaxExclusive

    protected abstract java.lang.String getMaxExclusive(boolean isBase)

### getMinExclusive

    protected abstract java.lang.String getMinExclusive(boolean isBase)

### initializeValues

    protected void initializeValues()

### assignAdditionalFacets

    protected abstract void assignAdditionalFacets(java.lang.String key,
                                                   java.util.Hashtable facets)
                                            throws InvalidDatatypeFacetException

### inheritAdditionalFacets

    protected void inheritAdditionalFacets()

### checkBaseFacetConstraints

    protected void checkBaseFacetConstraints()
                                      throws InvalidDatatypeFacetException

### checkFacetConstraints

    protected void checkFacetConstraints()
                                  throws InvalidDatatypeFacetException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference